Python not working on Ubuntu 14.04 (trusty) - Can't import standard library

After completely uninstalling python on the server and reinstalling python and python-dev, Python is behaving in a faulty way. The most apparent bug is that I am unable to import a number of...

linking fails while interfacing with Swig

I am trying to link a program that interfaces C++ and Python through Swig. I'm also using CMake to ease the development on the C++ portion. The Swig part on the CMakeLists.txt: find_package(SWIG...

Python source debugging with gdb for a C Module

So I'm getting a SIGSEGV signal from my Python C Module. The module has been tested/built in Windows and now I'm attempting to use it under Linux (Linux Mint 17 64-bit). I'm very new to gdb but is...

FindSWIG.cmake unable to find correct header/library pair

I have the following code in the CMakeLists.txt file: # find Python find_package(PythonInterp) # find SWIG find_package(SWIG...

Compiling boost::python with Python 3.4

I am trying to compile boost::python with a local installation of Python 3.4. I started by installing Python by downloading the source and running the following command: ./configure...

Why is createBackgroundSubtractorGMG considered obsolete, and how can I use it

I am rather new to OpenCV and image processing in general. I am looking into background subtraction to facilitate motion tracking (people counting). Looking at the openCV documentation on...

Cmake/SWIG combination doesn't play well within virtual environment

I am working on a project that combines Python 3 with C++, so I decided to work with CMake + SWIG. I have the problem that when I type 'make' with the virtual environment active, I get missing...

apt-get /usr/bin/datetime.so wrong ELF class

I'm trying to add a repo to apt-get bit it fails complaining over ELF headers sudo add-apt-repository -y ppa:chris-lea/node.js Traceback (most recent call last): File...

Compiling Python 3.4 with emscripten on Ubuntu (linkage errors)

I am trying to build Python 3.4 from source, using emscripten. I have downloaded and successfully installed emscripten. I have created a build folder outside the source tree. These are the steps I...

OS X cmake can't find PythonLibs 3.4

python and python3 are installed in OS X Yosemite via Homebrew, but cmake fails to find PythonLibs 3, only 2: CMakeLists.txt: set(Python_ADDITIONAL_VERSIONS 3.4) FIND_PACKAGE(PythonInterp...

Remove mercurial-common from Ubuntu 15.04

I'm having Python 2.x problems on Ubuntu 15.04. I wanted to completely uninstall and reinstall Python. I can't uninstall Python because mercurial-common depends on it. I try to remove that and I...

Python in docker container

I am new to Docker so I am sorry for such an easy question. I am building a docker container which is built on top of a image which is built on ubuntu:vivid image. When executing my script within...

Can't install mahotas, and installing python-dev didn't fix the error

I was working through a textbook, and one of the examples required mahotas for python. I immediately tried to install it with pip, and immediately got this error: x86_64-linux-gnu-gcc -pthread...

What's the correct way to add Python.h and/or python3-dev in Ubuntu 14.04?

On Ubuntu 14.04.4 LTS I was trying to install courseara-dl with the default python 3.4.3 and met the error: src/MD2.c:31:20: fatal error: Python.h: No such file or directory #include...

libxml2-dev not installing on raspbian/debian

When I sudo apt-get install libxml2-dev I receive the error libxml2-dev : Depends: libxml2 (= 2.9.4+dfsg1-1+b1) but 2.9.4+dfsg1-1 is to be installed E: Unable to correct problems, you have held...

CloudFlare 525 Handshake SSL failed after ubuntu update

I have 2 servers up at DigitalOcean. Both each have 2 sites with SSL & DNS setup via Cloudflare. They're all the same setup (nginx). Yesterday after upgrading one of the server, I started getting...

pyinstaller error: OSError: Python library not found: libpython3.4mu.so.1.0, libpython3.4m.so.1.0, libpython3.4.so.1.0

I'm using Python 3.4.4 on Centos7. I've created a python program on my local machine that makes use of qt modules. The program is running fine on my local machine. I'm now trying to create an...

Matlab pyversion command can not find library for python3.4

I want call python3.4 from the matlab. The default version is python2.7, when I run pyversion in matlab, it shows : version: '2.7' executable: '/usr/bin/python' library:...

Trouble installing pip3

I am running ubuntu 15.10 and I have python 3 installed. But I don't have pip3 installed I tried to install pip3 using: sudo apt-get install python3-pip But I get the following...

python install zbar error: Setup script exited with error: command 'gcc' failed with exit status 1

enviornment: pyenv versions system 2.7.13 * 3.4.3 (set by /home/foo/.pyenv/version) 3.4.3/envs/venv343 venv343 easy_install zbar while encounter the following errors: Searching for...

Install Python pip in ubuntu using ansible

I am trying to install Python-pip in ubuntu using ansible and then installing python package, But I am getting following error during Python package install task: failed: [X.X.X.X]...